SSasympOff {stats} | R Documentation

## Self-Starting Nls Asymptotic Regression Model with an Offset

### Description

This `selfStart` model evaluates an alternative parametrization of the asymptotic regression function and the gradient with respect to those parameters. It has an `initial` attribute that creates initial estimates of the parameters `Asym`, `lrc`, and `c0`.

### Usage

    SSasympOff(input, Asym, lrc, c0)

### Arguments

`input` | a numeric vector of values at which to evaluate the model.
`Asym` | a numeric parameter representing the horizontal asymptote on the right side (very large values of `input`).
`lrc` | a numeric parameter representing the natural logarithm of the rate constant.
`c0` | a numeric parameter representing the `input` for which the response is zero.

### Value

a numeric vector of the same length as `input`. It is the value of the expression `Asym*(1 - exp(-exp(lrc)*(input - c0)))`. If all of the arguments `Asym`, `lrc`, and `c0` are names of objects, the gradient matrix with respect to these names is attached as an attribute named `gradient`.

### Author(s)

José Pinheiro and Douglas Bates

### See Also

`nls`, `selfStart`; `example(SSasympOff)` gives graph showing the `SSasympOff` parametrization, where phi_1 is `Asymp`, phi_3 is `c0`.

### Examples

    CO2.Qn1 <- CO2[CO2$Plant == "Qn1", ]
    SSasympOff(CO2.Qn1$conc, 32, -4, 43)  # response only
    Asym <- 32; lrc <- -4; c0 <- 43
    SSasympOff(CO2.Qn1$conc, Asym, lrc, c0) # response and gradient
    getInitial(uptake ~ SSasympOff(conc, Asym, lrc, c0), data = CO2.Qn1)
    ## Initial values are in fact the converged values
    fm1 <- nls(uptake ~ SSasympOff(conc, Asym, lrc, c0), data = CO2.Qn1)
    summary(fm1)

[Package stats version 2.15.1 Index]